Back to Facebook
Apify·Facebook

Search Facebook Ads

/curious_coder/facebook-ads-library-scraperasync$0.003 / result

Scrape ads from facebook ads library search results and facebook pages. Cost: $0.75 per 1K ads Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • urlsarrayrequired

    List of facebook ads search URLs or Page URLs to scrape ads from

  • scrapeAdDetailsboolean

    Enable this option to scrape ads details such as EU Reach info

  • limitPerSourceinteger

    Limit number of ads scraped per input URL. Leave it blank to scrape all available ads ℹ️ Actual number might exceed the given limit by upto 30

  • countinteger

    Leave this field empty if you want to limit number of ads scraped

  • scrapePageAds.periodstring

    Search ads in given date range (default "")

    , last24h, last7d, last14d, last30d

  • scrapePageAds.activeStatusstring

    scrapePageAds.activeStatus (default "all")

    all, active, inactive

  • scrapePageAds.sortBystring

    Sort by impressions or date. Default: Impressions (default "impressions_desc")

    impressions_desc, most_recent

  • scrapePageAds.countryCodestring

    2-letter ISO country code (ISO 3166-1 alpha-2). This should be the official uppercase country code, such as `IN` for India, `US` for United States, etc. Use `ALL` for targeting all countries (default "ALL")

  • runTagstring

    Add this value to 'runTag' column in the output

  • proxyobject

    You can use this option to customise the proxy country

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/curious_coder/facebook-ads-library-scraper","input":{"urls":[{"url":"https://www.facebook.com/ads/library/?active_status=all&ad_type=all&country=IN&q=linkedin&search_type=keyword_unordered&media_type=all"},{"url":"https://www.facebook.com/ZapierApp"}]}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.